KDE 4.7 PyKDE API Reference

- KDE's Python API

# RenderPluginInterface Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.PluginInterface
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

The class that specifies the Marble layer interface of a plugin.

## Methods
QStringList | backendTypes (self)
bool | render (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos="NONE", Marble.GeoSceneLayer layer=0)
QString | renderPolicy (self)
QStringList | renderPosition (self)

## Method Documentation

QStringList backendTypes | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the name(s) of the backend that the plugin can render . This method should return the name of the backend that the plugin can render. The string has to be the same one that is given for the attribute in the layer element of the DGML file that backend is able to process. Examples to replace available default backends would be "vector" or "texture". To provide a completely new kind of functionality please choose your own unique string.

bool render | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos="NONE",
|  | Marble.GeoSceneLayer | layer=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QString renderPolicy | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Return how the plugin settings should be used.

FIXME: Document this . Possible Values: "ALWAYS" -- the plugin renders at the preferred position no matter what got specified in the DGML file. "SPECIFIED" -- renders only in case it got specified in the DGML file. "SPECIFIED_ALWAYS" -- In case it got specified in the DGML file render according to the specification otherwise choose the preferred position

QStringList renderPosition | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.